%define name hardinfo
%define version 0.4.2.3
%define release %mkrel 4

Summary: A system profiler for Linux
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://download.berlios.de/hardinfo/%{name}-%{version}.tar.bz2
Patch0: multilibfix.patch  
Patch2: fixuserdsp.patch
Patch4: fix_crash.patch
Patch5: libzfix.patch
License: GPLv2+
Group: System/Kernel and hardware 
Url: http://hardinfo.berlios.de
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: pciutils, libsoup-2.2-devel, gtk2-devel, zlib-devel
BuildRequires: desktop-file-utils
Requires: pciutils

%description
HardInfo is a system profiler for Linux systems.
It can display information about the hardware, software, and perform 
simple benchmarks.

%prep
%setup -q
#fix multilib build isses (upstream working on better one)
#%patch0 -p1 -b .multilib
#use correct uids
%patch2 -p1 -b .fixuserdsp
#fix double free bug
#%patch4 -p1 -b .crash
#fix libz.so detection
%patch5 -p1 -b .libzfix

%build
#export LIBDIR=%{_libdir}
%configure2_5x
#perl -pi -e "s|/usr/lib/hardinfo/|%{_libdir}/hardinfo/|g" Makefile
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Settings" \
  --add-category="HardwareSettings" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%name.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%if %mdkversion < 200900
/sbin/ldconfig
%endif
%if %mdkversion < 200900
%update_menus
%endif

%postun
%if %mdkversion < 200900
/sbin/ldconfig
%endif
%if %mdkversion < 200900
%clean_menus
%endif

%files
%defattr(-,root,root)
%{_bindir}/hardinfo
%{_libdir}/%{name}/modules/*so
%{_datadir}/%{name}/pixmaps/*
%{_datadir}/%{name}/benchmark.conf
%{_datadir}/%{name}/benchmark.data
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Dec 10 2008 Erwan Velu <erwan@mandriva.org> 0.4.2.3-4mdv2009.1
+ Revision: 312469
- Adding strict build requires to libsoup-2.2

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.2.3-3mdv2009.0
+ Revision: 246788
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 20 2008 Funda Wang <fundawang@mandriva.org> 0.4.2.3-1mdv2008.1
+ Revision: 155234
- New version 0.4.2.3
- drop unused patch

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 30 2007 Erwan Velu <erwan@mandriva.org> 0.4.2.2-2mdv2008.0
+ Revision: 94015
- Adding missing patches
- Adding missing files
- Applying fedora patches
  Fixing requires

* Mon Jul 23 2007 Funda Wang <fundawang@mandriva.org> 0.4.2.2-1mdv2008.0
+ Revision: 54717
- New version

* Fri May 04 2007 Erwan Velu <erwan@mandriva.org> 0.4.2.1-1mdv2008.0
+ Revision: 22490
- Fixing x64 build
- Fixing buildrequires
- Import hardinfo

